<ion-header>
    <ion-toolbar color="tertiary">
        <ion-title>Réglages</ion-title>
        <ion-buttons slot="end">
            <ion-menu-button></ion-menu-button>
            <!-- <ion-back-button color="danger"></ion-back-button> -->
        </ion-buttons>
        <ion-buttons slot="start">
            <!-- <ion-menu-button></ion-menu-button> -->
            <ion-back-button color="light"></ion-back-button>
        </ion-buttons>
    </ion-toolbar>

</ion-header>

<ion-content padding>
    <ion-item class="userBackground">
        <ion-avatar slot="start">
            <img src="assets/img/man-user.svg" class="user-avatar">
        </ion-avatar>
        <ion-label *ngIf="this.isConnected">
            <ion-text color="light" *ngIf="this.typeClient=='userClientParticulier' ">
                <h2>
                    <strong>{{this.userPaConnected.prenom}} {{this.userPaConnected.nom}}</strong>
                </h2>
            </ion-text>
            <ion-text color="light" *ngIf="this.typeClient=='userClientParticulier' ">
                <h3>
                    {{this.userPaConnected.email}}
                </h3>
            </ion-text>
            <ion-text color="light" *ngIf="this.typeClient=='userClientProfessionnel' ">
                <h2>
                    <strong>{{this.userProConnected.prenom}}</strong>
                </h2>
            </ion-text>
            <ion-text color="tertiary" *ngIf="this.typeClient=='userClientProfessionnel' ">
                <h3>
                    {{this.userProConnected.email}}
                </h3>
            </ion-text>
            <ion-button icon-left size="small" shape="round" color="dark" (click)="editProfile()">
                <ion-icon name="contact"></ion-icon>
                Edit profile
            </ion-button>
            <ion-button icon-left size="small" shape="round" color="secondary" (click)="logout()">
                <ion-icon name="log-out"></ion-icon>
                Logout
            </ion-button>
        </ion-label>
        <ion-label *ngIf="!this.isConnected">
            <ion-text color="light">
                <h1><strong>VISITEUR</strong></h1>
            </ion-text>
        </ion-label>
    </ion-item>

    <ion-list no-border>
        <ion-list-header>
            <ion-text color="dark">
                <h5>General</h5>
            </ion-text>
        </ion-list-header>
        <ion-item>
            <ion-icon name="settings" slot="start" color="primary"></ion-icon>
            <ion-label color="primary" translate>AppLanguage</ion-label>
            <ion-select [(ngModel)]="language" [value]="language" (ionChange)="changeLanguage()">
                <ion-select-option translate value="en-US">Language_Eng</ion-select-option>
                <ion-select-option translate value="fr-FR">Language_Fr</ion-select-option>
            </ion-select>
        </ion-item>
        <ion-item>
            <ion-icon name="notifications" slot="start" color="primary"></ion-icon>
            <ion-label class="label" color="primary" translate>Notification</ion-label>
            <ion-toggle [(ngModel)]="enableNotifications"></ion-toggle>
        </ion-item>
    </ion-list>
    <ion-list>
        <ion-list-header>
            <ion-text color="dark">
                <h5 translate>Currency</h5>
            </ion-text>
        </ion-list-header>
        <ion-item>
            <ion-icon name="logo-usd" slot="start" color="dark"></ion-icon>
            <ion-label color="primary" translate>Currency</ion-label>
            <ion-select [(ngModel)]="currency">
                <ion-select-option *ngFor="let currency of currencies" [value]="currency">{{currency}}</ion-select-option>
            </ion-select>
        </ion-item>
    </ion-list>
    <!-- <ion-list>
        <ion-list-header>
            <ion-text color="dark">
                <h5>Other</h5>
            </ion-text>
        </ion-list-header>
        <ion-item>
            <ion-icon name="mail" slot="start" color="primary"></ion-icon>
            <ion-label class="label" color="primary">Enable Promotions</ion-label>
            <ion-toggle [(ngModel)]="enablePromo"></ion-toggle>
        </ion-item>
        <ion-item>
            <ion-icon name="mail" slot="start" color="primary"></ion-icon>
            <ion-label class="label" color="primary">Enable History</ion-label>
            <ion-toggle [(ngModel)]="enableHistory"></ion-toggle>
        </ion-item>
    </ion-list> -->
    <!-- <app-tabs></app-tabs> -->
</ion-content>
<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>
